package com.candidjava.hibernate;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
@AttributeOverrides({
	@AttributeOverride(name="id",column=@Column(name="id")),
	@AttributeOverride(name="title",column=@Column(name="title")),
	@AttributeOverride(name="author",column=@Column(name="author")),
	@AttributeOverride(name="cost",column=@Column(name="cost"))
	
})
public class SpecialEditionBook extends Book {

	@Column(name="newfeatures")
	private String newfeatures;

	public SpecialEditionBook() {
	}

	public SpecialEditionBook(String title, String author, double cost,
			String features) {
		super(title, author, cost);

		newfeatures = features;
	}

	public void setNewfeatures(String s) {
		newfeatures = s;
	}

	public String getNewfeatures() {
		return newfeatures;
	}
}
